<?php

namespace ByDedi\AdminBundle\Form\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\Form\FormView;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ModelPreviewType extends AbstractType
{


    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'btn_preview' => null,
        ));

        parent::configureOptions($resolver);
    }

    /**
     * @param FormView $view
     * @param FormInterface $form
     * @param array $options
     */
    public function buildView(FormView $view, FormInterface $form, array $options)
    {
        $view->vars['btn_preview'] = $options['btn_preview'];
    }

    /**
     * @return string
     */
    public function getBlockPrefix()
    {
        return 'model_preview_type';
    }

    /**
     * @return string
     */
    public function getParent()
    {
        return 'sonata_type_model';
    }
}
